Bug 89207 - LPD ... Cannot bind to lpd port '515'
LPD ... Cannot bind to lpd port '515'
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2003-04-20 16:52 EDT by Paul La Marre
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-23 15:42:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul La Marre 2003-04-20 16:52:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; 
Q312461; .NET CLR 1.0.3705)

Description of problem:
Boot up error:

Startup: LPD ... Cannot bind to lpd port '515'

I have seen several comments in the new group
"Linux Install" referring to issue.

A work around,thanks new group, the issue is to stop the
the xinit.d service, starting lpd service and
restarting xinit.d.

But this does not resolve the boot issue -- only provides
a temp solution that must be applied after each reboot.

I one and only printer is a "samba" printer.  I do not think
this is the issue since this is a boot cycle problem -- pre-samba

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot under 9

Actual Results:  No printer service

Expected Results:  Printer (lpd) able to load at startup.

Additional info:
Comment 1 Paul La Marre 2003-04-29 20:53:45 EDT
Is it possible to change the startup order from:




I did a prompted boot In this way xinetd is not started.
What effect would such a sequence change have, can it be
done manually by editing some ".rc" file?

If this is a solution what needs to be changed in the install
to make it part of the production release?
Comment 2 Boris Folgmann 2003-09-02 05:18:48 EDT
I updated my LPRng based RedHat 8.0 to 9. Then I switched to CUPS using the
printer system switcher. But printing from Windows clients was not possible,
though I had changed the printer system in the smb.conf from lprng to cups. :-(

Then I switched back to LPRng and now I have this problem here. :-( Bad thing.
Where is the official solution for that problem? The report is quite old, isn't it?
Comment 3 Elliot Lee 2004-08-23 15:42:56 EDT
Closing bugs for old packages that have no maintainer.

Note You need to log in before you can comment on or make changes to this bug.